org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxRemoteState

All Superinterfaces:
  IgniteTxState

All Known Implementing Classes:
  IgniteTxRemoteSingleStateImpl, IgniteTxRemoteStateAdapter, IgniteTxRemoteStateImpl

    public interface IgniteTxRemoteState
    extends IgniteTxState

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addWriteEntry(IgniteTxKey key, IgniteTxEntry e)`
`void` `clearEntry(IgniteTxKey key)`
`void` `invalidPartition(int cacheId, int part, GridCacheVersion ver)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteTxState

`addActiveCache, allEntries, awaitLastFuture, cacheIds, empty, entry, firstCacheId, hasInterceptor, hasWriteKey, implicitSingle, mvccEnabled, onTxEnd, readEntries, readMap, readSet, singleCacheContext, singleWrite, stores, storeWriteThrough, syncMode, topologyReadLock, topologyReadUnlock, unwindEvicts, useMvccCaching, validateTopology, writeEntries, writeMap, writeSet`

### Method Detail

#### addWriteEntry

    void addWriteEntry(IgniteTxKey key,
                       IgniteTxEntry e)

Parameters:
  `key` - Key.
  `e` - Entry.

#### clearEntry

    void clearEntry(IgniteTxKey key)

Parameters:
  `key` - Entry key.

#### invalidPartition

    void invalidPartition(int cacheId,
                          int part,
                          GridCacheVersion ver)

Parameters:
  `cacheId` - Cache id.
  `part` - Partition number.
  `ver` - Lock version.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021